## yasat 526

=== Makefile ===
DESTDIR=
PREFIX=/usr/local/
SYSCONFDIR=${PREFIX}/etc
DATADIR=${PREFIX}/share
MANDIR=${PREFIX}/share/man/man8/
#http://www.freebsd.org/doc/en/books/porters-handbook/porting-prefix.html

nothing:
	@exit

test: test_todo test_display_without_advice real_test
	exit

test_todo:
	@echo "Number of TODO `grep -ri TODO * | grep -v '.svn' | wc -l`"

test_display_without_advice:
	@echo "Number of error display without advice `grep -r Display * | grep RED |grep -v advice |grep -v .svn | wc -l`"
	@echo "Number of warning display without advice `grep -r Display * | grep ORANGE |grep -v advice | grep -v .svn |wc -l`"

#dont work :'(
#test_space_end:
#	 @echo  "`grep -nri \"[[:space:]][[:space:]]*$\" .`"

real_test:
	chmod +x ./tests/test.test
	./tests/test.test

#test will check
#
# display without advice
# check functions
# plugins without advice files
# check lines more 80(120) characters
# numbers of todo
# that PLUGINS_REP must be within {}
# -e -d etc have "" after


install:
	chmod +x ./tests/*.test
	chmod +x ./plugins/*.test
	chmod +x ./yasat
	mkdir -p ${DESTDIR}/${PREFIX}/bin
	cp yasat ${DESTDIR}/${PREFIX}/bin/yasat
	mkdir -p ${DESTDIR}/${DATADIR}/yasat/
	cp -R plugins ${DESTDIR}/${DATADIR}/yasat/
	cp yasat.css ${DESTDIR}/${DATADIR}/yasat/
	cp common ${DESTDIR}/${DATADIR}/yasat/
	cp osdetection ${DESTDIR}/${DATADIR}/yasat/
	mkdir -p ${DESTDIR}/${SYSCONFDIR}/yasat/
	echo "YASAT_ROOT=/${DATADIR}/yasat/" > ${DESTDIR}/${SYSCONFDIR}/yasat/yasat.conf
	echo "PLUGINS_REP=/${DATADIR}/yasat/plugins/" >> ${DESTDIR}/${SYSCONFDIR}/yasat/yasat.conf

installman:
	mkdir -p ${DESTDIR}/${MANDIR}/
	cp man/yasat.8 ${DESTDIR}/${MANDIR}/
	bzip2 -f -9 ${DESTDIR}/${MANDIR}/yasat.8

deinstall:
	rm ${DESTDIR}/${PREFIX}/bin/yasat
	rm -rf ${DESTDIR}/${DATADIR}/yasat
	rm -rf ${DESTDIR}/${SYSCONFDIR}/etc/yasat

=== debian/changelog ===
yasat (526-1) unstable; urgency=low

  * New upstream release

 -- Corentin LABBE <corentin.labbe@geomatys.fr>  Mon, 17 Jun 2012 09:11:23 +0000

yasat (456-1) unstable; urgency=low

  * Initial release. Closes: #653580

 -- Corentin LABBE <corentin.labbe@geomatys.fr>  Sun, 11 Mar 2012 18:14:33 +0200

=== debian/control ===
Source: yasat
Section: utils
Priority: optional
Maintainer: Corentin LABBE <corentin.labbe@geomatys.fr>
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.9.3
Homepage: http://yasat.sourceforge.net/

Package: yasat
Architecture: all
Depends: ${misc:Depends}
Description: simple stupid audit tool
 YASAT (Yet Another Stupid Audit Tool) goal is to be as simple as possible with
 minimum binary dependencies (only sed, grep and cut). Second goal is to
 document each test with maximum information and links to official
 documentation. It do many tests for checking security configuration issue or
 others good practice. It checks many software configurations like: Apache,
 Bind DNS, CUPS, PHP, kernel configuration, mysql, network configuration,
 openvpn, Packages update, samba, snmpd, squid, syslog, tomcat,
 user accounting, vsftpd, xinetd.

=== debian/watch ===
version=3
http://sf.net/yasat/yasat-(.+).tar.gz

## yasat 755

=== debian/changelog ===
yasat (755-1) unstable; urgency=medium

  * New upstream release.

 -- Corentin LABBE <clabbe.montjoie@gmail.com>  Wed, 30 Apr 2014 14:48:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: yasat
 Section: utils
 Priority: optional
-Maintainer: Corentin LABBE <corentin.labbe@geomatys.fr>
+Maintainer: Corentin LABBE <clabbe.montjoie@gmail.com>
 Build-Depends: debhelper (>= 7.0.50)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://yasat.sourceforge.net/
 
 Package: yasat
@@ -15,6 +15,6 @@
  document each test with maximum information and links to official
  documentation. It do many tests for checking security configuration issue or
  others good practice. It checks many software configurations like: Apache,
- Bind DNS, CUPS, PHP, kernel configuration, mysql, network configuration,
+ Bind DNS, CUPS, PHP, kernel configuration, MySQL, network configuration,
  openvpn, Packages update, samba, snmpd, squid, syslog, tomcat,
  user accounting, vsftpd, xinetd.

## yasat 839

=== debian/changelog ===
yasat (839-1) unstable; urgency=medium

  * New upstream release.
    + Fix setuid database. Closes: #756839
    + Fix Crashes on not finding /etc/apache2/envvars. Closes: #756840

 -- Corentin LABBE <clabbe.montjoie@gmail.com>  Thu, 14 May 2015 13:20:52 +0000

yasat (700-1) unstable; urgency=low

  * New upstream release. Closes: #690636

 -- Corentin LABBE <clabbe.montjoie@gmail.com>  Tue, 09 Jul 2013 05:18:25 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Corentin LABBE <clabbe.montjoie@gmail.com>
 Build-Depends: debhelper (>= 7.0.50)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://yasat.sourceforge.net/
 
 Package: yasat

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:


override_dh_install:
	dh_clean -k 
	make install DESTDIR=$(CURDIR)/debian/yasat SYSCONFDIR=/etc PREFIX=/usr
	dh_installman man/yasat.8
	dh_installchangelogs CHANGELOG

## yasat 848

=== debian/changelog ===
yasat (848-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
      - Closes: #965911
  * debian/clean: created to remove some files created from the build process
    and forgotten after this. This action will allow package to build twice.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 22 Apr 2022 19:36:32 -0300

yasat (848-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 19:56:33 +0100

yasat (848-1) unstable; urgency=medium

  * New upstream release.
  * Closes: #832841

 -- Corentin LABBE <clabbe.montjoie@gmail.com>  Tue, 30 Aug 2016 09:04:43 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Corentin LABBE <clabbe.montjoie@gmail.com>
-Build-Depends: debhelper (>= 7.0.50)
-Standards-Version: 3.9.6
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 3.9.8
 Homepage: http://yasat.sourceforge.net/
 
 Package: yasat

=== debian/watch ===
version=3
#commented until my key reach signing-key.asc
#opts=pgpsigurlmangle=s/$/.asc/ http://sf.net/yasat/yasat-(.+).tar.gz
http://sf.net/yasat/yasat-(.+).tar.gz
